package usecases

import (
	"git.riomhaire.com/gremlin/jrpcserver/model"
	"git.riomhaire.com/gremlin/jrpcserver/usecases/defaultcommand"
)

var Commands []model.JRPCCommand

func InitializeCommands() []model.JRPCCommand {
	commands := make([]model.JRPCCommand, 0)

	commands = append(commands, model.JRPCCommand{"test.ping", defaultcommand.PingCommand, false})
	commands = append(commands, model.JRPCCommand{"test.pong", defaultcommand.PongCommand, false})
	commands = append(commands, model.JRPCCommand{"test.echo", defaultcommand.EchoCommand, true})
	commands = append(commands, model.JRPCCommand{"system.commands", defaultcommand.ListCommandsCommand, false})
	commands = append(commands, model.JRPCCommand{"system.version.raw", defaultcommand.VersionCommand, true})
	commands = append(commands, model.JRPCCommand{"system.version", defaultcommand.VersionCommand, false})
	commands = append(commands, model.JRPCCommand{"system.info.raw", defaultcommand.InfoCommand, true})
	commands = append(commands, model.JRPCCommand{"system.info", defaultcommand.InfoCommand, false})
	commands = append(commands, model.JRPCCommand{"system.health.raw", defaultcommand.HealthCommand, true})
	commands = append(commands, model.JRPCCommand{"system.health", defaultcommand.HealthCommand, false})
	Commands = commands // needed for list
	return commands
}
